FROM oraclelinux:6

LABEL MAINTAINER="Kentaro Ohkouchi <nanasess@fsm.ne.jp>"
LABEL maintainer="Yaltik - Fabien Bourgeois <fabien@yaltik.com>"
LABEL maintainer="Yaltik - Fabien Bourgeois <fabien@yaltik.com>"

### see also https://github.com/docker-library/postgres/blob/2df7c179897a4a0c5dbb5a68543e46fb77215067/9.1/Dockerfile

# explicitly set user/group IDs
RUN groupadd -r postgres --gid=999 && useradd -r -g postgres --uid=999 postgres

ENV GOSU_VERSION 1.12
# RUN gpg --batch --keyserver hkps://keys.openpgp.org --recv-keys B42F6819007F00F88E364FD4036A9C25BF357DD4 \
# Troubles on C6, replaced by :
RUN curl https://keys.openpgp.org/pks/lookup?search=B42F6819007F00F88E364FD4036A9C25BF357DD4\&op=get | gpg --import --status-fd 1
RUN  curl -sSL https://github.com/tianon/gosu/releases/download/${GOSU_VERSION}/gosu-amd64 -o /bin/gosu \
      && chmod +x /bin/gosu \
      && curl -sSL https://github.com/tianon/gosu/releases/download/${GOSU_VERSION}/gosu-amd64.asc -o /tmp/gosu.asc \
      && gpg --batch --verify /tmp/gosu.asc /bin/gosu \
      && rm /tmp/gosu.asc

RUN yum -y install postgresql-server; yum clean all; chkconfig postgresql on

RUN yum -y reinstall glibc-common # Needed for UTF8
RUN localedef -i fr_FR -c -f UTF-8 -A /usr/share/locale/locale.alias fr_FR.UTF-8
ENV LANG fr_FR.utf8

RUN mkdir /docker-entrypoint-initdb.d

ENV PG_MAJOR 8.4
ENV PG_VERSION 8.4.13

RUN sed -ri "s!^#?(listen_addresses)\s*=\s*\S+.*!\1 = '*'!" /usr/share/pgsql/postgresql.conf.sample

ENV PGDATA /var/lib/pgsql/data
VOLUME /var/lib/pgsql/data

COPY docker-entrypoint.84.sh /docker-entrypoint.sh
RUN chmod +x /docker-entrypoint.sh

ENTRYPOINT ["/docker-entrypoint.sh"]

EXPOSE 5432
CMD ["postgres"]
